seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/08/07, 11:42:57


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: wine32  (Read 270 times)

0 Members and 1 Guest are viewing this topic.

Offline beje

  • User
  • Posts: 21
wine32
« on: 2020/07/23, 15:41:59 »
I wanted to introduce my son to the good old Starcraft - Broodwar and tried to install Wine for this. Unfortunately I cannot install wine32. Here is the message that I am receiving:

Code: [Select]
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libc6:i386 : Depends: libgcc-s1:i386 but it is not installable
 libfaudio0:i386 : Depends: libavcodec58:i386 (>= 7:4.2)
 libicu67:i386 : Depends: libgcc-s1:i386 (>= 7) but it is not installable
                 Depends: libstdc++6:i386 (>= 5.2) but it is not installable
E: Unable to correct problems, you have held broken packages.
What could I try? Thanks!

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.373
Re: wine32
« Reply #1 on: 2020/07/23, 15:51:52 »
Code: [Select]
What could I try? Nothing, you have to wait until the situation is solved.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline beje

  • User
  • Posts: 21
Re: wine32
« Reply #2 on: 2020/07/23, 15:52:58 »
is this somewhere announced? or should I simply try now and then until the packages will be available?thanks!

Offline eriefisher

  • User
  • Posts: 62
Re: wine32
« Reply #3 on: 2020/07/23, 21:18:42 »
It's been this way for some time. I tried once to go down the road of downloading and installing everything needed but the road kept getting longer the further I went. I gave up. I try and avoid wine for the most part but there is one application my wife uses. When we travel I bring my laptop and she may need to do some transcription work. I have not found anything in the Linux world that comes close to NCH's transcription software for her, and it's free(as in beer). The closest I've come was VLC and it's hotkey setup. I can set it up so she can use it the same way she is accustom to. All Linux alternatives fall way too short.

Offline slaughterer

  • User
  • Posts: 36
Re: wine32
« Reply #4 on: 2020/07/24, 10:51:37 »
Pls do try the package "playonlinux"and give us feedback  :)

Offline eriefisher

  • User
  • Posts: 62
Re: wine32
« Reply #5 on: 2020/07/24, 13:37:18 »
I recently tried playonlinux. It would install but complains that wine is not installed. Once again I gave up.

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.373
Re: wine32
« Reply #6 on: 2020/07/24, 13:50:50 »
It's often in unstable.
The actual problem is a version mismatch of gcc-10 in amd64 and i386.

Code: [Select]
~
towo:Defiant> LANG=C apt policy gcc-10-base:i386 gcc-10-base:amd64
gcc-10-base:i386:
  Installed: 10.1.0-6
  Candidate: 10.2.0-1
  Version table:
     10.2.0-1 500
        500 https://deb.debian.org/debian unstable/main i386 Packages
 *** 10.1.0-6 500
        500 https://deb.debian.org/debian testing/main i386 Packages
        100 /var/lib/dpkg/status
gcc-10-base:
  Installed: 10.1.0-6
  Candidate: 10.1.0-6
  Version table:
 *** 10.1.0-6 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        500 https://deb.debian.org/debian testing/main amd64 Packages
        100 /var/lib/dpkg/status
So you have to wait that both available versions are equal.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline beje

  • User
  • Posts: 21
Re: wine32
« Reply #7 on: 2020/07/28, 08:47:04 »
thanks! The apt policy I will add to my "to be exercised set"!

Offline eriefisher

  • User
  • Posts: 62
Re: wine32
« Reply #8 on: 2020/07/28, 17:59:44 »
Looks like things evened up this morning.
Code: [Select]
$ LANG=C apt policy gcc-10-base:i386 gcc-10-base:amd64
gcc-10-base:i386:
  Installed: 10.2.0-3
  Candidate: 10.2.0-3
  Version table:
 *** 10.2.0-3 500
        500 http://deb.debian.org/debian unstable/main i386 Packages
        500 http://ftp.ca.debian.org/debian sid/main i386 Packages
        100 /var/lib/dpkg/status
gcc-10-base:
  Installed: 10.2.0-3
  Candidate: 10.2.0-3
  Version table:
 *** 10.2.0-3 500
        500 http://deb.debian.org/debian unstable/main amd64 Packages
        500 http://ftp.ca.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status